Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 721996 - mail-filter/sigh-1607.1.6 : fails to build with -fno-common or gcc-10
Summary: mail-filter/sigh-1607.1.6 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Christian Roessner
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-05-10 07:54 UTC by Toralf Förster
Modified: 2020-12-28 14:48 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.90 KB, text/plain)
2020-05-10 07:54 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,156.76 KB, text/plain)
2020-05-10 07:54 UTC, Toralf Förster
Details
environment (environment,127.76 KB, text/plain)
2020-05-10 07:54 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.69 KB, application/x-bzip)
2020-05-10 07:54 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.56 KB, application/x-bzip)
2020-05-10 07:55 UTC, Toralf Förster
Details
mail-filter:sigh-1607.1.6:20200510-005528.log (mail-filter:sigh-1607.1.6:20200510-005528.log,9.99 KB, text/plain)
2020-05-10 07:55 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,30.01 KB, application/x-bzip)
2020-05-10 07:55 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-05-10 07:54:46 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/sigh.dir/src/smime.cpp.o:(.bss+0x0): multiple definition of `util::mlfipriv'; CMakeFiles/sigh.dir/src/milter.cpp.o:(.bss+0x1): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/10.1.0/../../../../x86_64-pc-linux-gnu/bin/ld: CMakeFiles/sigh.dir/src/smime.cpp.o:(.bss+0x1): multiple definition of `util::ccp'; CMakeFiles/sigh.dir/src/milter.cpp.o:(.bss+0x2): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop-abi32+64-20200505-162645

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-10.1.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python3.8 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.43.1 *
The following VMs are available for generation-2:
*)	IcedTea JDK 3.15.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.0.2

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Sat 09 May 2020 11:05:34 PM UTC

emerge -qpvO mail-filter/sigh
[ebuild  N    ] mail-filter/sigh-1607.1.6
Comment 1 Toralf Förster gentoo-dev 2020-05-10 07:54:49 UTC
Created attachment 637312 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-05-10 07:54:52 UTC
Created attachment 637314 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-05-10 07:54:55 UTC
Created attachment 637316 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-05-10 07:54:58 UTC
Created attachment 637318 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-05-10 07:55:01 UTC
Created attachment 637320 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-05-10 07:55:04 UTC
Created attachment 637322 [details]
mail-filter:sigh-1607.1.6:20200510-005528.log
Comment 7 Toralf Förster gentoo-dev 2020-05-10 07:55:07 UTC
Created attachment 637324 [details]
temp.tbz2
Comment 8 Sam James archtester gentoo-dev Security 2020-10-31 07:04:20 UTC
ping?
Comment 9 Larry the Git Cow gentoo-dev 2020-12-28 14:48:12 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=25f97ee3dd1be9dce10b20184754fcc25c2f4982

commit 25f97ee3dd1be9dce10b20184754fcc25c2f4982
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2020-12-28 14:47:54 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-12-28 14:47:54 +0000

    mail-filter/sigh: Port to EAPI 7 and GLEP 81
    
    Closes: https://bugs.gentoo.org/721996
    Package-Manager: Portage-3.0.9, Repoman-3.0.1
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../sigh/files/sigh-1607.1.6-fno-common.patch      | 19 +++++++++
 mail-filter/sigh/sigh-1607.1.6-r1.ebuild           | 30 ++++++++++++++
 mail-filter/sigh/sigh-1607.1.6.ebuild              | 47 ----------------------
 3 files changed, 49 insertions(+), 47 deletions(-)